QGIS Application - Bug report #20831

Range widget does not honor default value on not null column

2018-12-18 09:34 AM - Hugo Mercier

Status: Closed
Priority: Normal
Assignee: Hugo Mercier
Category: Forms
Affected QGIS version:3.4.2
Operating System: linux

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 28650

Description

On a layer with a numeric primary key, QGIS enforces a not null constraint.

We may expect to circumvent this constraint with a default value. With the default "Range" widget however, the default value is not taken

into account and there is no way to validate the form without manually entering a non null value.

However with the "Text Edit" widget, the default value is correctly taken.

Related issues:

Related to QGIS Application - Bug report # 19671: The Ok button for the form ... Open

2018-08-22

Associated revisions

Revision eb5a3367 - 2019-01-30 10:39 AM - Hugo Mercier

Fix "Allow null" in range widget (fixes #20831)

By default a range widget is built with a minimum value set to the

minimal integer that is possible to represent. When "allow null" is

enabled, a new value (minvalue - 1) is inserted. With the default

value, we then had an integer overflow.

Revision fa1f8762 - 2019-01-30 01:32 PM - Hugo Mercier

Merge pull request #9033 from mhugo/fix_20831

Fix "Allow null" in range widget (fixes #20831)

Revision ef1634c¢8 - 2019-02-01 10:07 AM - Hugo Mercier

Fix "Allow null" in range widget (fixes #20831)

By default a range widget is built with a minimum value set to the
minimal integer that is possible to represent. When "allow null" is
enabled, a new value (minvalue - 1) is inserted. With the default

value, we then had an integer overflow.

(cherry picked from commit eb5a3367b651e8a7d83af4af41ea0f481efc126b)

2025-05-18
History

#1 - 2018-12-18 09:35 AM - Hugo Mercier
- Related to Bug report #19671: The Ok button for the form dialog is disabled for NOT NULL Postgres columns added

#2 - 2019-01-29 02:57 PM - Hugo Mercier
- Assignee set to Hugo Mercier

#3 - 2019-01-30 01:31 PM - Hugo Mercier
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|eb5a3367b651e8a7d83af4af41ealf481efc126b.
